#func: present a table for the compound approach of calculating all CCC coefficient and iota coefficient.
CCC_All<-function(X, Y, R = 0, dl = 1e-5,seed = 12345){
  set.seed(seed)
  ind.X = (X==0)*1;ind.Y = (Y==0)*1
  res.Euclidean = CCC_Dist(X,Y,R = R,method = "Euclidean",dl)
  res.Aitchison = CCC_Dist(X,Y,R = R,method = "Aitchison",dl)
  res.Euclidean.sub.union = CCC_Dist(X,Y,R = R,method = "Euclidean sub union",dl)
  res.Aitchison.sub.union = CCC_Dist(X,Y,R = R,method = "Aitchison sub union",dl)
  est.iota = iota.boot(ind.X,ind.Y,R = R)
  if(R==0){
    Euclidean = res.Euclidean$est
    Aitchison = res.Aitchison$est
    Euclidean.sub.union = res.Euclidean.sub.union$est
    Aitchison.sub.union = res.Aitchison.sub.union$est
    Iota = est.iota$est
    table<-c(Euclidean,Aitchison,Euclidean.sub.union,Aitchison.sub.union,Iota)
    return(table)
  } else{
    Euclidean = c(res.Euclidean$est,res.Euclidean$astd.err,res.Euclidean$std.err,res.Euclidean$lower,
                  res.Euclidean$upper)
    Aitchison = c(res.Aitchison$est,res.Aitchison$astd.err,res.Aitchison$std.err,res.Aitchison$lower,
                  res.Aitchison$upper)
    Euclidean.sub.union = c(res.Euclidean.sub.union$est,NA,res.Euclidean.sub.union$std.err,
                            res.Euclidean.sub.union$lower,res.Euclidean.sub.union$upper)
    Aitchison.sub.union = c(res.Aitchison.sub.union$est,NA,res.Aitchison.sub.union$std.err,
                                            res.Aitchison.sub.union$lower,res.Aitchison.sub.union$upper)
    Iota = c(est.iota$est,NA,est.iota$std.err,est.iota$lower,est.iota$upper)
    Euclidean.boot = res.Euclidean$boot.est
    Aitchison.boot = res.Aitchison$boot.est
    Euclidean.sub.union.boot = res.Euclidean.sub.union$boot.est
    Aitchison.sub.union.boot = res.Aitchison.sub.union$boot.est
    Iota.boot = est.iota$boot.est
    table<-cbind(Euclidean,Aitchison,Euclidean.sub.union,
                 Aitchison.sub.union,Iota)
    list = list(table = table,Euc = Euclidean.boot,Euc.sub = Euclidean.sub.union.boot,
                Aitchi = Aitchison.boot,
                Aitchi.sub = Aitchison.sub.union.boot,Iota = Iota.boot)
    return(list)
  }
}
