#function: Calculate the distance based CCC for subcomposition
CCC_Dist_based_sub_union<-function(X,Y,R = 1000,tran = "identical"){
  n = ncol(X)
  nrow = nrow(X)
  #conduct data transformation and adjust for zero
  M = cbind(X,Y)
  Mtran = t(apply(M,1,datScreen_Dist_union,tran = tran))
  id = which(Mtran==0)
  tranX = Mtran[,1:n];tranY = Mtran[,(n+1):(2*n)]
  #build matrix for further calculation
  Mtran.mean = Mtran; Mtran.mean[Mtran.mean==0] = NA
  tran_bar = colMeans(Mtran.mean,na.rm = TRUE)
  tran_bar_mat = t(matrix(rep(tran_bar,nrow),ncol= nrow))
  tran_bar_mat[id] = 0
  tranX_bar_mat = tran_bar_mat[,1:n];tranY_bar_mat = tran_bar_mat[,(n+1):(2*n)]
  tranX1 = cbind(tranX-tranX_bar_mat,tranY-tranY_bar_mat); a = (apply(tranX1,1,Inner))
  tranX2 = cbind(tranX,tranX); b = (apply(tranX2,1,Inner))
  tranX3 = cbind(tranY,tranY); c = (apply(tranX3,1,Inner))
  tranX4 = cbind(tranX-tranX_bar_mat,tranY_bar_mat);tranX5 = cbind(tranX_bar_mat,tranY)
  d = (apply(tranX4,1,Inner)+apply(tranX5,1,Inner))
  mean1<-mean.refined(a);mean2<-mean.refined(b)+mean.refined(c)-2*mean.refined(d)
  if(R==0){
    rhoc.est<-2*mean1/mean2
    result<-list(est=rhoc.est)
    return(result)
  }
  else{
    rhoc.est0<-2*mean1/mean2
    rhoc.est = NULL
    for(i in 1:R){
      if(i%%10==0){print(i)}
      tempi = sample(1:nrow,nrow,replace = TRUE)
      X.temp = X[tempi,]
      Y.temp = Y[tempi,]
      #conduct data transformation and adjust for zero
      M = cbind(X.temp,Y.temp)
      Mtran = t(apply(M,1,datScreen_Dist_union,tran = tran))
      id = which(Mtran==0)
      tranX = Mtran[,1:n];tranY = Mtran[,(n+1):(2*n)]
      #build matrix for further calculation
      Mtran.mean = Mtran; Mtran.mean[Mtran.mean==0] = NA
      tran_bar = colMeans(Mtran.mean,na.rm = TRUE)
      tran_bar_mat = t(matrix(rep(tran_bar,nrow),ncol= nrow))
      tran_bar_mat[id] = 0
      tranX_bar_mat = tran_bar_mat[,1:n];tranY_bar_mat = tran_bar_mat[,(n+1):(2*n)]
      tranX1 = cbind(tranX-tranX_bar_mat,tranY-tranY_bar_mat); a = (apply(tranX1,1,Inner))
      tranX2 = cbind(tranX,tranX); b = (apply(tranX2,1,Inner))
      tranX3 = cbind(tranY,tranY); c = (apply(tranX3,1,Inner))
      tranX4 = cbind(tranX-tranX_bar_mat,tranY_bar_mat);tranX5 = cbind(tranX_bar_mat,tranY)
      d = (apply(tranX4,1,Inner)+apply(tranX5,1,Inner))
      mean1<-mean.refined(a);mean2<-mean.refined(b)+mean.refined(c)-2*mean.refined(d)
      rhoc.est<-c(rhoc.est,2*mean1/mean2)
    }
    rhoc.se<-sd(rhoc.est)
    Z.est<-atanh(rhoc.est0)
    Z.se<-rhoc.se/(1-rhoc.est0^2)
    Z.upper = Z.est + 1.96*Z.se;rhoc.upper = tanh(Z.upper)
    Z.lower = Z.est - 1.96*Z.se;rhoc.lower = tanh(Z.lower)
    result<-list(est=rhoc.est0,std.err=rhoc.se,lower=rhoc.lower,upper = rhoc.upper,
                 boot.est = rhoc.est)
    return(result)
  }
}
