#function: identify union set of zeros and assign zero to transformed value for Euclidean based case
datScreen_Dist_union <- function(M,tran = "identical"){
  n = length(M)
  X = M[1:(n/2)];Y = M[(n/2+1):(n)]
  ## remove shared zero
  idx1 = which(X == 0);idx2 = which(Y == 0)
  idx = union(idx1, idx2)
  if(length(idx)!=0 && length(idx)!=n/2){
    X = X[-idx];Y = Y[-idx]
    X = X/sum(X);Y = Y/sum(Y)
    #initialize tranX and tranY
    tranX = rep(0,(n/2));tranY = rep(0,(n/2))
    #conduct data transformation
    tranX[-idx] = switch (tran,
                          "identical" = X,
                          "clr" = compositions::clr(X))
    tranY[-idx] = switch (tran,
                          "identical" = Y,
                          "clr" = compositions::clr(Y))
  }
  else if(length(idx)==0){
    #initialize tranX and tranY
    tranX = rep(0,(n/2));tranY = rep(0,(n/2))
    #conduct data transformation
    tranX = switch (tran,
                    "identical" = X,
                    "clr" = compositions::clr(X))
    tranY = switch (tran,
                    "identical" = Y,
                    "clr" = compositions::clr(Y))
  }
  else{
    tranX = rep(NA,(n/2));tranY = rep(NA,(n/2))
  }
  data = as.numeric(c(tranX,tranY))
  return(data)
}
