#Calculate the Iota Ceofficient with standard error using bootstrap method
iota.boot<-function(ind.X,ind.Y,R = 1000){
  ncol = ncol(ind.X)
  nrow = nrow(ind.X)
  list.iota = list()
  for(i in 1:ncol){
    list.iota[[i]] = cbind(ind.X[,i],ind.Y[,i])
  }
  if(R==0){
    iota.est = irr::iota(list.iota)$value
    return(list(est=iota.est))
  }
  else{
    iota.est0 = irr::iota(list.iota)$value
    iota.est = NULL
    for(j in 1:R){
      if(j%%10==0){print(j)}
      tempi = sample(1:nrow,nrow,replace = TRUE)
      for(i in 1:ncol){
        list.iota[[i]] = cbind(ind.X[tempi,i],ind.Y[tempi,i])
      }
      iota.est = c(iota.est,irr::iota(list.iota)$value)
    }
    iota.se = sd(iota.est)
    Z.est<-atanh(iota.est0)
    Z.se<-iota.se/(1-iota.est0^2)
    Z.upper = Z.est + 1.96*Z.se;iota.upper = tanh(Z.upper)
    Z.lower = Z.est - 1.96*Z.se;iota.lower = tanh(Z.lower)
    result<-list(est=iota.est0,std.err=iota.se,lower=iota.lower,upper = iota.upper,boot.est = iota.est)
    return(result)
  }
}
