\name{CCC_All}
\alias{CCC_All}
\title{
Compound Approach to Assess the Reproducibility
}
\description{
This function present the output for the compound approach to assess the agreement by calculating distance based CCCs and the iota coefficient.
}
\usage{
CCC_All(X, Y, R = 0, dl = 1e-5,seed = 12345)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{X}{ A matrix, representing the first set of measurements.}
  \item{Y}{ A matrix, representing the second set of measurements.}
  \item{R}{ Default to be 0. If R = 0, then only the concordance correlation coefficient is returned; else R would represent for the number of bootstrap samples used to derive the standard error and confidence interval.}
  \item{dl}{ The arguments for delta/D, which is a small value added to all zeros.}
  \item{seed}{ The randomseed.}
}
\details{
If R = 0, the output will be a table; otherwise the output will be a list with a table summarizing the result, the result for the distance based CCCs and the Iota coefficient.
}
\value{
  \item{table}{ A table summarizing all the results.}
  \item{Euc}{ Not applied for R = 0. The result for the Eucliden distance based CCC.}
  \item{Euc.sub}{ Not applied for R = 0. The result for the Eucliden distance based CCC after removing the union set zeros for the two measurements.}
  \item{Aitchi}{ Not applied for R = 0. The result for the Aitchison distance based CCC.}
  \item{Aitchi.sub}{ Not applied for R = 0. The result for the Aitchison distance based CCC after removing the union set zeros for the two measurements.}
  \item{Iota}{ Not applied for R = 0. The result for the Iota coefficient}
}
\examples{
data(X)
data(Y)
CCC_All(X, Y)
}
\keyword{Compound approach}
