\name{CCC_Dist_based}
\alias{CCC_Dist_based}
\title{
Distance Based CCC to Assess the Reproducibility with the Original Data.
}
\description{
This function present the output for the distance based CCC to assess the agreement with the original data.
}
\usage{
CCC_Dist_based(X,Y,R = 0,tran = "identical",dl = 1e-5)
}
\arguments{
  \item{X}{ A matrix, representing the first set of measurements.}
  \item{Y}{ A matrix, representing the second set of measurements.}
  \item{R}{ Default to be 0. If R = 0, then only the concordance correlation coefficient is returned; else R would represent for the number of bootstrap samples used to derive the standard error and confidence interval.}
  \item{tran}{ Indicate the distance based method used. If tran = "identical", then the Euclidean distance based CCC is calculated; if tran = "clr", then the Aitchison distance based CCC is calculated.}
  \item{dl}{ The arguments for delta/D, which is a small value added to all zeros.}
}
\details{
}
\value{
  \item{est}{ Estimated value for the concordance correlation coefficient.}
  \item{astd.err}{ Analytical value for the standard error of the concordance correlation coefficient.}
  \item{std.err}{ Standard error of the concordance correlation coefficient derived by bootstrap method.}
  \item{lower}{ The lower confidence interval of the concordance correlation coefficient}
  \item{upper}{ The upper confidence interval of the concordance correlation coefficient}
  \item{boot.est}{ A vector saving the concordance correlation coefficient calculated for all bootstrap samples}
}
\keyword{Distance based CCC}
