\name{iota.boot}
\alias{iota.boot}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Calculate the Iota Coefficient to Assess the Reproducibility
}
\description{
This function present the output for the Iota coefficient with standard error estimated using bootstrap method.
}
\usage{
iota.boot(ind.X,ind.Y,R = 1000)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{ind.X}{ A matrix, representing the zero indicator for the first set of measurements.}
  \item{ind.Y}{ A matrix, representing the zero indicator for the second set of measurements.}
  \item{R}{ Default to be 0. If R = 0, then only the Iota coefficient is returned; else R would represent for the number of bootstrap samples used to derive the standard error and confidence interval.}
}
\value{
  \item{est}{ Estimated value for the Iota coefficient.}
  \item{std.err}{ Standard error of the Iota coefficient derived by bootstrap method.}
  \item{lower}{ The lower confidence interval of the Iota coefficient}
  \item{upper}{ The upper confidence interval of the Iota coefficient}
  \item{boot.est}{ A vector saving the Iota coefficient calculated for all bootstrap samples}
}
\examples{
data(X)
data(Y)
ind.X = (X==0)*1
ind.Y = (Y==0)*1
iota.boot(ind.X,ind.Y,R = 0)
}
\keyword{Iota Coefficient}
